package com.inspect.exec.service.impl;

import com.inspect.exec.domain.SilenceTaskPointExecRecord;
import com.inspect.exec.mapper.SilenceTaskPointExecRecordMapper;
import com.inspect.exec.service.ISilenceTaskPointExecRecordService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SilenceTaskPointExecRecordServiceImpl implements ISilenceTaskPointExecRecordService {
    private final SilenceTaskPointExecRecordMapper silenceTaskPointExecRecordMapper;

    public SilenceTaskPointExecRecordServiceImpl(SilenceTaskPointExecRecordMapper silenceTaskPointExecRecordMapper) {
        this.silenceTaskPointExecRecordMapper = silenceTaskPointExecRecordMapper;
    }

    public SilenceTaskPointExecRecord selectSilenceTaskPointExecRecordByPointId(Long pointId) {
        return this.silenceTaskPointExecRecordMapper.selectSilenceTaskPointExecRecordByPointId(pointId);
    }

    public List<SilenceTaskPointExecRecord> selectSilenceTaskPointExecRecordList(SilenceTaskPointExecRecord silenceTaskPointExecRecord) {
        return this.silenceTaskPointExecRecordMapper.selectSilenceTaskPointExecRecordList(silenceTaskPointExecRecord);
    }

    public int insertSilenceTaskPointExecRecord(SilenceTaskPointExecRecord silenceTaskPointExecRecord) {
        return this.silenceTaskPointExecRecordMapper.insertSilenceTaskPointExecRecord(silenceTaskPointExecRecord);
    }

    public int updateSilenceTaskPointExecRecord(SilenceTaskPointExecRecord silenceTaskPointExecRecord) {
        return this.silenceTaskPointExecRecordMapper.updateSilenceTaskPointExecRecord(silenceTaskPointExecRecord);
    }

    public int deleteSilenceTaskPointExecRecordByPointIds(Long[] pointIds) {
        return this.silenceTaskPointExecRecordMapper.deleteSilenceTaskPointExecRecordByPointIds(pointIds);
    }

    public int deleteSilenceTaskPointExecRecordByPointId(Long pointId) {
        return this.silenceTaskPointExecRecordMapper.deleteSilenceTaskPointExecRecordByPointId(pointId);
    }
}
